From 7091dcd643e66fc315cc056bd1344caa5e57c2cb Mon Sep 17 00:00:00 2001
From: Srinivas Dasari <dasaris@codeaurora.org>
Date: Wed, 7 Mar 2018 19:55:52 +0530
Subject: [PATCH 2/2] cfg80211: indicate support for external authentication

Define macro to indicate backport support for
external authentication where authentication can be
offloaded to userspace in specific cases such as SAE.

Change-Id: Ib253b303e82f583f61bc13d14c8d491d5ea2af15
CRs-Fixed: 2262200
Signed-off-by: Srinivas Dasari <dasaris@codeaurora.org>

Conflicts:
	include/net/cfg80211.h
---
 include/net/cfg80211.h | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/include/net/cfg80211.h b/include/net/cfg80211.h
index 017ae15..fc3fd22 100644
--- a/include/net/cfg80211.h
+++ b/include/net/cfg80211.h
@@ -24,6 +24,12 @@
 #include <linux/net.h>
 #include <net/regulatory.h>
 
+/* Indicate backport support for processing user cell base hint */
+#define CFG80211_USER_HINT_CELL_BASE_SELF_MANAGED 1
+
+/* Indicate backport support for external authentication*/
+#define CFG80211_EXTERNAL_AUTH_SUPPORT 1
+
 /**
  * DOC: Introduction
  *
-- 
1.9.1

